import CarouselAction from "./CarouselAction";
import { PaintedNode } from "parsegraph-artist";
import { Keystroke } from "parsegraph-input";
import { BlockPalette } from "parsegraph-block";
import Carousel from "./Carousel";
export default class ActionCarousel {
    _palette: BlockPalette;
    _actions: CarouselAction[];
    _uninstaller: Function;
    _carousel: Carousel;
    constructor(carousel: Carousel, palette?: BlockPalette);
    findHotkey(action: string): {
        action: string;
        hotkey: string;
    };
    addAction(action: string | PaintedNode, listener: Function, listenerThisArg?: any, hotkey?: string): void;
    install(node: PaintedNode, nodeData?: any): Function;
    carousel(): Carousel;
    uninstall(): void;
    onKey(_: Keystroke): boolean;
    loadCarousel(node: PaintedNode, nodeData?: any): void;
    onClick(node: PaintedNode, nodeData?: any): void;
}
//# sourceMappingURL=ActionCarousel.d.ts.map